[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#362871: ark: "The utility is not in your PATH." when trying to open .deb

Package: ark
Version: 4:3.5.2-1
Severity: normal

Since 3.5.2 (downgrading to 3.5.1-2 fixes), ark fails to open .deb when
launched with $ ark foo.deb. However, it usually succeeds to open them
when launched with $ ark; and opening the deb archive. Sometimes,
though, the error appears even in this case (it was about 1 time in 5,
just to give an idea). When it fails, the error message
"The utility is not in your PATH.
Please install it or contact your system administrator."
appears. After "The utility", the name of a utility should show, but
there is none, so presumably ark is looking for something which doesn't
This looks like an upstream bug, but I'd like you to verify this before
forwarding. To give a clue about where the problem could be, this looks
like a regression that could have been introduced with the zip/unzip
fixes introduced in 3.5.2.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8)

Versions of packages ark depends on:
ii  kdelibs4c2a               4:3.5.2-2      core libraries for all KDE applica
ii  libacl1                   2.2.36-1       Access control list shared library
ii  libart-2.0-2              2.3.17-1       Library of functions for 2D graphi
ii  libattr1                  2.4.32-1       Extended attribute shared library
ii  libaudio2                 1.7-6          The Network Audio System (NAS). (s
ii  libc6                     2.3.6-3        GNU C Library: Shared libraries an
ii  libfam0                   2.7.0-9        Client library to control the FAM 
ii  libfontconfig1            2.3.2-1.1      generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.1.0-1      GCC support library
ii  libice6                   6.9.0.dfsg.1-6 Inter-Client Exchange library
ii  libidn11                  0.5.18-2       GNU libidn library, implementation
ii  libjpeg62                 6b-12          The Independent JPEG Group's JPEG 
ii  libpng12-0                1.2.8rel-5     PNG library - runtime
ii  libqt3-mt                 3:3.3.6-1      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.9.0.dfsg.1-6 X Window System Session Management
ii  libstdc++6                4.1.0-1        The GNU Standard C++ Library v3
ii  libx11-6                  6.9.0.dfsg.1-6 X Window System protocol client li
ii  libxcursor1               1.1.3-1        X cursor management library
ii  libxext6                  6.9.0.dfsg.1-6 X Window System miscellaneous exte
ii  libxft2             FreeType-based font drawing librar
ii  libxi6                    6.9.0.dfsg.1-6 X Window System Input extension li
ii  libxinerama1              6.9.0.dfsg.1-6 X Window System multi-head display
ii  libxrandr2                6.9.0.dfsg.1-6 X Window System Resize, Rotate and
ii  libxrender1               1:    X Rendering Extension client libra
ii  libxt6                    6.9.0.dfsg.1-6 X Toolkit Intrinsics
ii  zlib1g                    1:1.2.3-11     compression library - runtime

Versions of packages ark recommends:
ii  arj                           3.10.22-2  archiver for .arj files
pn  bzip2                         <none>     (no description available)
pn  ncompress                     <none>     (no description available)
pn  unzip                         <none>     (no description available)
ii  zip                           2.31-3     Archiver for .zip files
pn  zoo                           <none>     (no description available)

-- no debconf information

Reply to: